S3D_PEP_LINE_NORMALS(3)

NAME
s3d_pep_line_normals - add normals to lines

SYNOPSIS

#include <s3d.h>

int s3d_pep_line_normals(int object, const float *nbuf, uint16_t n);

DESCRIPTION

Adds normal information to lines, giving each vertex of a line a normal information. This makes lines somewhat nicer, you'll need that especially when you're going to build wireframe models.

nbuf should contain n * 6 float values, for each vertex a normal vector (x,y,z), and you have 2 vertices for each line so that makes 6 float values per line in total.

AUTHOR

Simon Wunderlich
    Author of s3d